Skip to main content
GET
List expense reports

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
include
enum<string>[]

Optional properties to include. Expense records optional data can be included by extending the expenseRecords include keyword with the available optional parameters from the List expenses endpoint. E.g. expenseRecords.verification, expenseRecords.meta.abbreviation, expenseRecords.meta.splits etc.

statuses
enum<string>[]

Comma separated list of statuses to include, to exclude a status use ! before the status

Available options:
APPROVAL,
APPROVED,
BULK_TRANSFER,
DELETED,
ERROR,
NEW,
NORMAL,
ON_HOLD,
PAID,
READY_TO_SEND,
REJECTED,
REVIEW,
SEND,
SENT,
TRANSFER,
TRANSFER_TO_RECIPIENT
processStatus
enum<string>

Process status that will filter out expenses on selected status. It should not be used in combination with statuses or notStatuses.

DRAFT includes NEW, NORMAL.

REJECTED includes REJECTED.

PROCESSING includes APPROVAL, APPROVED, READY_TO_SEND, BULK_TRANSFER, TRANSFER, TRANSFER_TO_RECIPIENT, ERROR and SEND.

PROCESSED includes SENT and PAID.

Available options:
DRAFT,
REJECTED,
PROCESSING,
PROCESSED
max
integer<int>
default:10

max records to return

Required range: 1 <= x <= 1000
offset
integer<int>
default:0

the offset to be used in list

Required range: x >= 0
excludeCorporateCards
boolean

optional flag to exclude corporate cards reports

Response

200 - application/json

OK

meta
object
data
object[]